-- Color
white = Color.new(255,255,255)
blue = Color.new(0,191,255)
black = Color.new(0,0,0)
red = Color.new(255, 0, 0)
green = Color.new(0, 255, 0)
orange = Color.new(235, 115, 0)
yellow = Color.new(255, 255, 0)
gray = Color.new(160, 160, 160)

PSP={}
farbe={}
auswahl=1
anzahl=2
PSP[1]="Start SensMe XMB-Mod for M33"
PSP[2]="Start SensMe XMB-Mod for GEN"
ypos=15
screen.waitVblankStart(15)
oldpad=Controls.read()
while true do
	pause=0
	screen:clear()
	pad=Controls.read()
	if pad:up() then
		if auswahl>1 then
			auswahl=auswahl-1
			pause=6
		end
			if ypos<30-(auswahl*15) then	
				ypos=30-15*auswahl
		end
	end
	if pad:analogY()<-30 then
		if auswahl>1 then
			auswahl=auswahl-1
			pause=pad:analogX()/128
		end
			if ypos<30-(auswahl*15) then	
				ypos=30-15*auswahl
		end
	end
	if pad:down() then
		if auswahl<anzahl then
			auswahl=auswahl+1
			pause=6
		end
			if ypos>240-(auswahl*15) then	
				ypos=0-(15*(auswahl-17))
			end
	end
	if pad:analogY()>30 then
		if auswahl<anzahl then
			auswahl=auswahl+1
			pause=(pad:analogY()/127)*(-1)
		end
			if ypos>240-(auswahl*15) then	
				ypos=0-(15*(auswahl-17))
			end
	end
	counter=0
	counterfarbe=0
	while counterfarbe<auswahl do
		counterfarbe=counterfarbe+1
		farbe[counterfarbe]=white
	end
	counterfarbe=auswahl
	while counterfarbe<anzahl do
		counterfarbe=counterfarbe+1
		farbe[counterfarbe]=white
	end
	farbe[auswahl]=blue
	yposa=ypos
	ypos=ypos+4
	while counter<anzahl do
		counter=counter+1
		screen:print(10,ypos,PSP[counter],farbe[counter])
		ypos=ypos+15
	end
	if oldpad:cross() and not pad:cross() then
		if auswahl==1 then
			dofile("scriptm33.lua"
)

		else
			dofile("scriptgen.lua"
)
		end
	end
	ypos=yposa
	screen:print(10,100,"Deine PSP: "..System.getModel(1).." ("..System.getModel(0)..")", gray)
	screen:print(150,1,"SensMe XMB Mod for 5.XX", blue)
    screen:print(1,10,"________________________________________________________________________", green)
    screen:print(1,222,"                        By The Z", blue)
    screen:print(1,250,"________________________________________________________________________", yellow)
	screen:print(1,37,"__________________________________________________________________________", green)
	screen.flip()
	screen.waitVblankStart(pause)
	oldpad=pad
end
